import 'package:cached_network_image/cached_network_image.dart';
import 'package:flutter/material.dart';

Widget arrowBack() => Image.asset("lib/assets/img/topbar_return.png");

Widget arrowLeft() => Image.asset("lib/assets/img/btn_arrow_left.png");

Widget arrowRight() => Image.asset("lib/assets/img/btn_arrow_right.png");

Widget arrowTop() => Image.asset("lib/assets/img/btn_arrow_top.png");

Widget arrowBottom() => Image.asset("lib/assets/img/btn_arrow_bottom.png");

Widget arrowRight1() => Image.asset("lib/assets/img/btn_arrow_right1.png");

Widget arrowRight2() => Image.asset("lib/assets/img/btn_arrow_right2.png");

Widget arrowRight4() => Image.asset("lib/assets/img/btn_arrow_right4.png");

Widget arrowRight5() => Image.asset("lib/assets/img/btn_arrow_right5.png");

Widget arrowRight6() => Image.asset("lib/assets/img/btn_arrow_right6.png");

Widget arrowRight7() => Image.asset("lib/assets/img/btn_arrow_right7.png");

ImageProvider userAvatarProvider(String url) =>
    (url == null || url == "") ? AssetImage("lib/assets/img/user_default_avatar.png") : CachedNetworkImageProvider(url);

Widget userAvatar(String url) => (url == null || url == "") ? Image.asset("lib/assets/img/user_default_avatar.png") : CachedNetworkImage(imageUrl: url);

Widget iconMore() => Image.asset(
      "lib/assets/img/topbar_more_white.png",
    );

Widget iconMoreGray() => Image.asset(
      "lib/assets/img/topbar_more.png",
    );

final Widget dot = Container(
  margin: const EdgeInsets.symmetric(horizontal: 10.0),
  width: 2,
  height: 2,
  color: Color(0xff999999),
);
